org.apache.sis.measure

## Class ElevationAngle

- Object
- - Angle
  - - ElevationAngle

- All Implemented Interfaces:
    Serializable, Comparable<Angle>, Formattable

      public final class ElevationAngle
      extends Angle

  The angular height of an object measured from the horizontal plane. The elevation angle is part of local topocentric coordinates together with azimuth and distance. For visible objects the elevation is an angle between 0° and 90°.
  Note: Elevation angle and altitude angle may be used interchangeably. Both altitude and elevation words are also used to describe the height in meters above sea level.
  Immutability and thread safety
  This final class is immutable and thus inherently thread-safe.
  Since:
    0.4
  See Also:
    `CoordinateSystems​.angle(AxisDirection, AxisDirection)`, Serialized Form

  Defined in the `sis-utility` module

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElevationAngle` | `NADIR` An elevation angle of -90° for an imaginary point directly below a location.
    `static ElevationAngle` | `ZENITH` An elevation angle of 90° for an imaginary point directly above a location.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElevationAngle(double ε)` Constructs a new elevation angle with the specified angular value.
    `ElevationAngle(String string)` Constructs a newly allocated `ElevationAngle` object that contain the angular value represented by the string.

  - ### Method Summary

    - ### Methods inherited from class Angle

      `compareTo, degrees, equals, formatTo, hashCode, radians, toString`

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ZENITH

          public static final ElevationAngle ZENITH

      An elevation angle of 90° for an imaginary point directly above a location. This is the opposite of `NADIR` direction.

    - #### NADIR

          public static final ElevationAngle NADIR

      An elevation angle of -90° for an imaginary point directly below a location. This is the opposite of `ZENITH` direction.

  - ### Constructor Detail

    - #### ElevationAngle

          public ElevationAngle(double ε)

      Constructs a new elevation angle with the specified angular value.
      Parameters:
        `ε` - elevation angle value in decimal degrees.

    - #### ElevationAngle

          public ElevationAngle(String string)
                         throws NumberFormatException

      Constructs a newly allocated `ElevationAngle` object that contain the angular value represented by the string. The string should represent an angle in either fractional degrees (e.g. 45.5°) or degrees with minutes and seconds (e.g. 45°30').
      Parameters:
        `string` - a string to be converted to an `ElevationAngle`.
      Throws:
        `NumberFormatException` - if the string does not contain a parsable angle, or represents an elevation angle.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.